package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 移动端版本
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/11/20
 */
@ApiModel(value = "t_b_app_version", description = "移动端版本")
public class TBAppVersion extends BaseEntity {

    @ApiModelProperty(value = "版本名")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty(value = "版本号")
    @TableField(value = "value")
    private Integer value;

    @ApiModelProperty(value = "版本详情链接")
    @TableField(value = "url")
    private String url;

    @ApiModelProperty(value = "版本描述")
    @TableField(value = "description")
    private String description;

    @ApiModelProperty(value = "类型:IOS/ANDROID")
    @TableField(value = "type")
    private String type;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    @TableField(value = "enable")
    private Integer enable;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
